For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterOpenAPI SpecStatus
OverviewInquiriesTransactionsRelaysAPI ReferenceChangelog
OverviewInquiriesTransactionsRelaysAPI ReferenceChangelog
  • Getting Started
    • Introduction
    • Quickstart Tutorial
  • API Overview
    • API Keys
    • Authentication
    • Protocol
    • Response Body
    • Idempotence
    • Pagination
    • Rate Limiting
    • Downloading Files
    • API Logs
    • Request IDs
  • Versioning
    • API Changelog
    • Versioning
  • Troubleshooting
    • Error Handling
  • API Reference
    • OpenAPI Specification
      • GETList all API keys
      • POSTCreate an API key
      • GETRetrieve an API key
      • PATCHUpdate an API key
      • POSTExpire an API key
      • POSTClone an API key
    • Cases
    • Connect
    • Documents
    • Inquiries
    • List Items
    • Lists
    • OAuth
    • Reports
    • Transactions
    • Verifications
    • Workflows
  • Webhooks
LogoLogo
Help CenterOpenAPI SpecStatus
API ReferenceAPI Keys

Clone an API key

POST
https://api.withpersona.com/api/v1/api-keys/:api-key-id/clone
POST
/api/v1/api-keys/:api-key-id/clone
$curl -X POST https://api.withpersona.com/api/v1/api-keys/api-key-id/clone \
> -H "Authorization: Bearer <token>"
1{
2 "data": {
3 "type": "api-key",
4 "id": "api_ABC123",
5 "attributes": {
6 "api-attributes-blocklist": [
7 "address-*",
8 "name-last",
9 "/data/attributes/fields/*-number"
10 ],
11 "api-key-inflection": "kebab",
12 "api-version": "2023-01-05",
13 "created-at": "2023-08-17T23:18:13.000Z",
14 "expires-at": null,
15 "file-access-token-expires-in": 21600,
16 "ip-address-allowlist": [
17 "*"
18 ],
19 "last-used-at": "2023-08-17T23:24:00.000Z",
20 "name": "Default API Key",
21 "note": null,
22 "permissions": [
23 "account.read",
24 "account.write",
25 "api_log.read"
26 ],
27 "value": "persona_production_abcdefg"
28 }
29 }
30}
Creates a copy of an existing API key. All attributes except the value are copied over to the new API key.
Was this page helpful?
Previous

List all API Logs

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

api-key-idstringRequired

The token/ID of the API key to be cloned.

Headers

Key-InflectionenumOptional
Determines casing for the API response.
Allowed values:
Idempotency-KeystringOptional
Ensures the request is idempotent.
Persona-VersionenumOptional
Server API version. More info on versioning can be found [here](https://docs.withpersona.com/versioning).

Query parameters

includestringOptional
A comma-separated list of relationship paths. This can be used to customize which related resources will be fully serialized in the `included` key in the response. See [Serialization](https://docs.withpersona.com/serialization#inclusion-of-related-resources) for more details.
fieldsmap from strings to stringsOptional
Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See [Serialization](https://docs.withpersona.com/serialization#sparse-fieldsets) for more details.

Response

This endpoint returns an API key object.
dataobject
An API Key resource
includedlist of any

Excluded from the response by default. Will be an empty array when the include query parameter in the request was explicitly set to empty.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error

Server API version. More info on versioning can be found here.

A comma-separated list of relationship paths. This can be used to customize which related resources will be fully serialized in the included key in the response. See Serialization for more details.

Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See Serialization for more details.